#pragma once
#include "node.h"
#include "texture.h"

class NodeImageTexture : public Node
{
public:
    Texture2D tex;
    virtual Node* clone_instantiate() const override;
    virtual void clone_copy(Node* dest) const override;
    // TODO: maybe we can save the texture data and restore later
    //virtual void restore_context() override
    //{
    //    Node::restore_context();
    //    create();
    //}
    virtual void draw() override;
};
